Uploaded image for project: 'SonarQube'
  1. SonarQube
  2. SONAR-12885

PostgreSQL 9.3, 9.4, 9.5 end of support / PostgreSQL 13 support

    XMLWordPrintable

    Details

    • Edition:
      Community
    • Production Notes:
      None

      Description

      To keep SonarQube operable, we need to keep up with versions of databases.

      PostgreSQL 9.3 already reached end-of-life since November 2018
      PostgreSQL 9.4 already reached end-of-life since February 2020
      PostgreSQL 9.5 already reached end-of-life since February 2021

      Postgresql 9.6 end-of-life is planned for November 2022. So the 8.X LTS will support 9.6 officially initially.

      SonarQube requirements documentation need to be updated, as well as the release doc. 

      SonarQube and sonar-db-copy QAs needs to be updated

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              pierre.guillot Pierre Guillot
              Reporter:
              pierre.guillot Pierre Guillot
              Votes:
              0 Vote for this issue
              Watchers:
              3 Start watching this issue

                Dates

                Due:
                Created:
                Updated:
                Resolved: